Bug 605203 - Smsd mainprocess terminated because the pid file /var/run/smsd.pid cannot be written.
Summary: Smsd mainprocess terminated because the pid file /var/run/smsd.pid cannot be ...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: smstools (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Patrick C. F. Ernzer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 671167
TreeView+ depends on / blocked
 
Reported: 2010-06-17 12:20 UTC by Mohammed Arafa
Modified: 2013-05-23 16:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-06 16:50:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
smstools.spec file with changes to correct missing /var/run/smsd directory (6.17 KB, application/octet-stream)
2010-07-16 11:50 UTC, Michael Kearey
no flags Details

Description Mohammed Arafa 2010-06-17 12:20:49 UTC
Description of problem:

when running /etc/init.d/smsd start the end result (from logs and from debugging) is:
Smsd mainprocess terminated because the pid file /var/run/smsd.pid cannot be written.

Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1.install and run /etc/init.d/smsd start
2.
3.
  
Actual results:
smsd does not run

Expected results:
smsd runs

Additional info:
the solution to this bug is
mkdir /var/run/smsd
chown smstools.smstools /var/run/smsd

and to add the following file to the global section of /etc/smsd.conf
pidfile = /var/run/smsd/smsd.pid

Comment 1 Michael Kearey 2010-07-16 11:48:51 UTC
I also see the following in /var/log/smsd/smsd.log  on a new install of smstools when I attempt to start the service:

2010-07-16 21:14:07,2, smsd: Smsd v3.1.5 started.
2010-07-16 21:14:07,2, smsd: Running as smstools:smstools.
2010-07-16 21:14:07,2, smsd: Infofile /var/run/smsd/smsd.working cannot be created: No such file or directory
2010-07-16 21:14:07,7, smsd: Running startup_check (shell): /tmp/smsd_script.mMFxxg /tmp/smsd_data.5BBjrE
2010-07-16 21:14:07,7, smsd: Done: startup_check (shell), execution time 0 sec., status: 0
2010-07-16 21:14:07,2, smsd: There was 1 major problem found.
2010-07-16 21:14:07,2, smsd: Smsd mainprocess terminated.


The rpm package does not create the /var/run/smsd directory..

I changed the spec file and rebuilt the package and the problem is resolved. Attached the new spec file to this BZ. The changes:


At the top of the spec file:

%define _varrundir      %{_localstatedir}/run/smsd

In %install section:

mkdir -p ${RPM_BUILD_ROOT}%{_varrundir}


And file section:

%attr(0700,smstools,smstools) %dir %{_varrundir}


I use a USB attached Broadband WIfi device that shows as a /dev/ttyUSB2, also had to add dialout group membership to smstools user ID so the daemon could start without permission errors accessing it:

 groups smstools
smstools : smstools uucp dialout

Comment 2 Michael Kearey 2010-07-16 11:50:20 UTC
Created attachment 432365 [details]
smstools.spec file with changes to correct missing /var/run/smsd  directory

Comment 3 Michael Kearey 2010-07-16 11:52:21 UTC
(In reply to comment #0)
...
> and to add the following file to the global section of /etc/smsd.conf
> pidfile = /var/run/smsd/smsd.pid    

The above step is not needed - the smsd creates the file if it does not exist..

CHeers

Comment 4 Patrick C. F. Ernzer 2011-01-21 10:10:55 UTC
Mohammed: Thank you for the bug report.
Michael: I have added your fix to smstools-3.1.8-3.fc15 in rawhide

http://koji.fedoraproject.org/koji/taskinfo?taskID=2734513

Comment 5 Patrick C. F. Ernzer 2011-01-21 10:13:08 UTC
(In reply to comment #1)
[...]
> I use a USB attached Broadband WIfi device that shows as a /dev/ttyUSB2, also
> had to add dialout group membership to smstools user ID so the daemon could
> start without permission errors accessing it:
[...]
that is deal with in Bug 605211

Comment 6 Bug Zapper 2011-06-02 10:29:18 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Mohammed Arafa 2011-06-02 11:56:50 UTC
Patrick i believe you should be closing this issue if it is fixed


Note You need to log in before you can comment on or make changes to this bug.